# Steps

The `Steps` field in a study specifies the sequence of steps executed while running the study. These steps are run in exactly the same order in which they will be executed.

The following types of steps are available:

* [**Baseline**](/akamas-docs/3.5.0/reference/construct-templates/study-template/steps/baseline-step.md): performs an experiment and sets it as a baseline for all the other ones
* [**Bootstrap**](/akamas-docs/3.5.0/reference/construct-templates/study-template/steps/bootstrap-step.md): imports experiments from other studies
* [**Preset**](/akamas-docs/3.5.0/reference/construct-templates/study-template/steps/preset-step.md): performs an experiment with a specific configuration
* [**Optimize**](/akamas-docs/3.5.0/reference/construct-templates/study-template/steps/optimize-step.md): performs experiments and generates optimized configurations

Notice that the structure corresponding to the steps is different for the different types of steps.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.akamas.io/akamas-docs/3.5.0/reference/construct-templates/study-template/steps.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
